Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3182)
@@ -2633,153 +2696,159 @@
 !--    For the v-component, the data starts at nysv, while for the other
 !--    quantities the data starts at nys. This is equivalent at the north
-!--    and south domain boundary for the u-component.
-       IF ( force_bound_l )  THEN
+!--    and south domain boundary for the u-component. 
+!--    Further, lateral data is not accessed by parallel IO, indicated by the 
+!--    last passed flag in the subroutine get_variable(). This is because
+!--    not every PE participates in this collective blocking read operation. 
+       IF ( bc_dirichlet_l )  THEN
           CALL get_variable( id_dynamic, 'ls_forcing_left_u',                  &
-                           force%u_left(0:1,nzb+1:nzt+1,nys:nyn),              &
-                           nys+1, nzb+1, force%tind+1,                         &
-                           nyn-nys+1, force%nzu, 2, dynamic_3d )
-          
+                           nest_offl%u_left(0:1,nzb+1:nzt,nys:nyn),            &
+                           nys+1, nzb+1, nest_offl%tind+1,                     &
+                           nyn-nys+1, nest_offl%nzu, 2, .FALSE. )
+      
           CALL get_variable( id_dynamic, 'ls_forcing_left_v',                  &
-                           force%v_left(0:1,nzb+1:nzt+1,nysv:nyn),             &
-                           nysv, nzb+1, force%tind+1,                          &
-                           nyn-nysv+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%v_left(0:1,nzb+1:nzt,nysv:nyn),           &
+                           nysv, nzb+1, nest_offl%tind+1,                      &
+                           nyn-nysv+1, nest_offl%nzu, 2, .FALSE. )
 
           CALL get_variable( id_dynamic, 'ls_forcing_left_w',                  &
-                           force%w_left(0:1,nzb+1:nzt,nys:nyn),                &
-                           nys+1, nzb+1, force%tind+1,                         &
-                           nyn-nys+1, force%nzw, 2, dynamic_3d )
+                           nest_offl%w_left(0:1,nzb+1:nzt-1,nys:nyn),          &
+                           nys+1, nzb+1, nest_offl%tind+1,                     &
+                           nyn-nys+1, nest_offl%nzw, 2, .FALSE. )
 
           IF ( .NOT. neutral )  THEN
              CALL get_variable( id_dynamic, 'ls_forcing_left_pt',              &
-                           force%pt_left(0:1,nzb+1:nzt+1,nys:nyn),             &
-                           nys+1, nzb+1, force%tind+1,                         &
-                           nyn-nys+1, force%nzu, 2, dynamic_3d )
-          ENDIF
+                           nest_offl%pt_left(0:1,nzb+1:nzt,nys:nyn),           &
+                           nys+1, nzb+1, nest_offl%tind+1,                     &
+                           nyn-nys+1, nest_offl%nzu, 2, .FALSE. )
+          ENDIF
+
           IF ( humidity )  THEN
              CALL get_variable( id_dynamic, 'ls_forcing_left_qv',              &
-                           force%q_left(0:1,nzb+1:nzt+1,nys:nyn),              &
-                           nys+1, nzb+1, force%tind+1,                         &
-                           nyn-nys+1, force%nzu, 2, dynamic_3d )
-          ENDIF
-       ENDIF
-
-       IF ( force_bound_r )  THEN
+                           nest_offl%q_left(0:1,nzb+1:nzt,nys:nyn),            &
+                           nys+1, nzb+1, nest_offl%tind+1,                     &
+                           nyn-nys+1, nest_offl%nzu, 2, .FALSE. )
+          ENDIF
+
+       ENDIF
+
+       IF ( bc_dirichlet_r )  THEN
           CALL get_variable( id_dynamic, 'ls_forcing_right_u',                 &
-                           force%u_right(0:1,nzb+1:nzt+1,nys:nyn),             &
-                           nys+1, nzb+1, force%tind+1,                         &
-                           nyn-nys+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%u_right(0:1,nzb+1:nzt,nys:nyn),           &
+                           nys+1, nzb+1, nest_offl%tind+1,                     &
+                           nyn-nys+1, nest_offl%nzu, 2, .FALSE. )
                            
           CALL get_variable( id_dynamic, 'ls_forcing_right_v',                 &
-                           force%v_right(0:1,nzb+1:nzt+1,nysv:nyn),            &
-                           nysv, nzb+1, force%tind+1,                          &
-                           nyn-nysv+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%v_right(0:1,nzb+1:nzt,nysv:nyn),          &
+                           nysv, nzb+1, nest_offl%tind+1,                      &
+                           nyn-nysv+1, nest_offl%nzu, 2, .FALSE. )
                            
           CALL get_variable( id_dynamic, 'ls_forcing_right_w',                 &
-                           force%w_right(0:1,nzb+1:nzt,nys:nyn),               &
-                           nys+1, nzb+1, force%tind+1,                         &
-                           nyn-nys+1, force%nzw, 2, dynamic_3d )
+                           nest_offl%w_right(0:1,nzb+1:nzt-1,nys:nyn),         &
+                           nys+1, nzb+1, nest_offl%tind+1,                     &
+                           nyn-nys+1, nest_offl%nzw, 2, .FALSE. )
                            
           IF ( .NOT. neutral )  THEN
              CALL get_variable( id_dynamic, 'ls_forcing_right_pt',             &
-                           force%pt_right(0:1,nzb+1:nzt+1,nys:nyn),            &
-                           nys+1, nzb+1, force%tind+1,                         &
-                           nyn-nys+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%pt_right(0:1,nzb+1:nzt,nys:nyn),          &
+                           nys+1, nzb+1, nest_offl%tind+1,                     &
+                           nyn-nys+1, nest_offl%nzu, 2, .FALSE. )
           ENDIF
           IF ( humidity )  THEN
              CALL get_variable( id_dynamic, 'ls_forcing_right_qv',             &
-                           force%q_right(0:1,nzb+1:nzt+1,nys:nyn),             &
-                           nys+1, nzb+1, force%tind+1,                         &
-                           nyn-nys+1, force%nzu, 2, dynamic_3d )
-          ENDIF
-       ENDIF
-
-       IF ( force_bound_n )  THEN
+                           nest_offl%q_right(0:1,nzb+1:nzt,nys:nyn),           &
+                           nys+1, nzb+1, nest_offl%tind+1,                     &
+                           nyn-nys+1, nest_offl%nzu, 2, .FALSE. )
+          ENDIF
+       ENDIF
+
+       IF ( bc_dirichlet_n )  THEN
        
           CALL get_variable( id_dynamic, 'ls_forcing_north_u',                 &
-                           force%u_north(0:1,nzb+1:nzt+1,nxlu:nxr),            &
-                           nxlu, nzb+1, force%tind+1,                          &
-                           nxr-nxlu+1, force%nzu, 2, dynamic_3d )
-
+                           nest_offl%u_north(0:1,nzb+1:nzt,nxlu:nxr),          &
+                           nxlu, nzb+1, nest_offl%tind+1,                      &
+                           nxr-nxlu+1, nest_offl%nzu, 2, .FALSE. )
+                           
           CALL get_variable( id_dynamic, 'ls_forcing_north_v',                 &
-                           force%v_north(0:1,nzb+1:nzt+1,nxl:nxr),             &
-                           nxl+1, nzb+1, force%tind+1,                         &
-                           nxr-nxl+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%v_north(0:1,nzb+1:nzt,nxl:nxr),           &
+                           nxl+1, nzb+1, nest_offl%tind+1,                     &
+                           nxr-nxl+1, nest_offl%nzu, 2, .FALSE. )
                            
           CALL get_variable( id_dynamic, 'ls_forcing_north_w',                 &
-                           force%w_north(0:1,nzb+1:nzt,nxl:nxr),               &
-                           nxl+1, nzb+1, force%tind+1,                         &
-                           nxr-nxl+1, force%nzw, 2, dynamic_3d )
+                           nest_offl%w_north(0:1,nzb+1:nzt-1,nxl:nxr),         &
+                           nxl+1, nzb+1, nest_offl%tind+1,                     &
+                           nxr-nxl+1, nest_offl%nzw, 2, .FALSE. )
                            
           IF ( .NOT. neutral )  THEN
              CALL get_variable( id_dynamic, 'ls_forcing_north_pt',             &
-                           force%pt_north(0:1,nzb+1:nzt+1,nxl:nxr),            &
-                           nxl+1, nzb+1, force%tind+1,                         &
-                           nxr-nxl+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%pt_north(0:1,nzb+1:nzt,nxl:nxr),          &
+                           nxl+1, nzb+1, nest_offl%tind+1,                     &
+                           nxr-nxl+1, nest_offl%nzu, 2, .FALSE. )
           ENDIF
           IF ( humidity )  THEN
              CALL get_variable( id_dynamic, 'ls_forcing_north_qv',             &
-                           force%q_north(0:1,nzb+1:nzt+1,nxl:nxr),             &
-                           nxl+1, nzb+1, force%tind+1,                         &
-                           nxr-nxl+1, force%nzu, 2, dynamic_3d )
-          ENDIF
-       ENDIF
-
-       IF ( force_bound_s )  THEN
+                           nest_offl%q_north(0:1,nzb+1:nzt,nxl:nxr),           &
+                           nxl+1, nzb+1, nest_offl%tind+1,                     &
+                           nxr-nxl+1, nest_offl%nzu, 2, .FALSE. )
+          ENDIF
+       ENDIF
+
+       IF ( bc_dirichlet_s )  THEN
           CALL get_variable( id_dynamic, 'ls_forcing_south_u',                 &
-                           force%u_south(0:1,nzb+1:nzt+1,nxlu:nxr),            &
-                           nxlu, nzb+1, force%tind+1,                          &
-                           nxr-nxlu+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%u_south(0:1,nzb+1:nzt,nxlu:nxr),          &
+                           nxlu, nzb+1, nest_offl%tind+1,                      &
+                           nxr-nxlu+1, nest_offl%nzu, 2, .FALSE. )
 
           CALL get_variable( id_dynamic, 'ls_forcing_south_v',                 &
-                           force%v_south(0:1,nzb+1:nzt+1,nxl:nxr),             &
-                           nxl+1, nzb+1, force%tind+1,                         &
-                           nxr-nxl+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%v_south(0:1,nzb+1:nzt,nxl:nxr),           &
+                           nxl+1, nzb+1, nest_offl%tind+1,                     &
+                           nxr-nxl+1, nest_offl%nzu, 2, .FALSE. )
                            
           CALL get_variable( id_dynamic, 'ls_forcing_south_w',                 &
-                           force%w_south(0:1,nzb+1:nzt,nxl:nxr),               &
-                           nxl+1, nzb+1, force%tind+1,                         &
-                           nxr-nxl+1, force%nzw, 2, dynamic_3d )
+                           nest_offl%w_south(0:1,nzb+1:nzt-1,nxl:nxr),         &
+                           nxl+1, nzb+1, nest_offl%tind+1,                     &
+                           nxr-nxl+1, nest_offl%nzw, 2, .FALSE. )
                            
           IF ( .NOT. neutral )  THEN
              CALL get_variable( id_dynamic, 'ls_forcing_south_pt',             &
-                           force%pt_south(0:1,nzb+1:nzt+1,nxl:nxr),            &
-                           nxl+1, nzb+1, force%tind+1,                         &
-                           nxr-nxl+1, force%nzu, 2, dynamic_3d )
+                           nest_offl%pt_south(0:1,nzb+1:nzt,nxl:nxr),          &
+                           nxl+1, nzb+1, nest_offl%tind+1,                     &
+                           nxr-nxl+1, nest_offl%nzu, 2, .FALSE. )
           ENDIF
           IF ( humidity )  THEN
              CALL get_variable( id_dynamic, 'ls_forcing_south_qv',             &
-                           force%q_south(0:1,nzb+1:nzt+1,nxl:nxr),             &
-                           nxl+1, nzb+1, force%tind+1,                         &
-                           nxr-nxl+1, force%nzu, 2, dynamic_3d )
-          ENDIF
-       ENDIF
+                           nest_offl%q_south(0:1,nzb+1:nzt,nxl:nxr),           &
+                           nxl+1, nzb+1, nest_offl%tind+1,                     &
+                           nxr-nxl+1, nest_offl%nzu, 2, .FALSE. )
+          ENDIF
+       ENDIF
+
 !
 !--    Top boundary
        CALL get_variable( id_dynamic, 'ls_forcing_top_u',                      &
-                             force%u_top(0:1,nys:nyn,nxlu:nxr),                &
-                             nxlu, nys+1, force%tind+1,                        &
-                             nxr-nxlu+1, nyn-nys+1, 2, dynamic_3d )
+                             nest_offl%u_top(0:1,nys:nyn,nxlu:nxr),            &
+                             nxlu, nys+1, nest_offl%tind+1,                    &
+                             nxr-nxlu+1, nyn-nys+1, 2, .TRUE. )
 
        CALL get_variable( id_dynamic, 'ls_forcing_top_v',                      &
-                             force%v_top(0:1,nysv:nyn,nxl:nxr),                &
-                             nxl+1, nysv, force%tind+1,                        &
-                             nxr-nxl+1, nyn-nysv+1, 2, dynamic_3d )
+                             nest_offl%v_top(0:1,nysv:nyn,nxl:nxr),            &
+                             nxl+1, nysv, nest_offl%tind+1,                    &
+                             nxr-nxl+1, nyn-nysv+1, 2, .TRUE. )
                              
        CALL get_variable( id_dynamic, 'ls_forcing_top_w',                      &
-                             force%w_top(0:1,nys:nyn,nxl:nxr),                 &
-                             nxl+1, nys+1, force%tind+1,                       &
-                             nxr-nxl+1, nyn-nys+1, 2, dynamic_3d )
+                             nest_offl%w_top(0:1,nys:nyn,nxl:nxr),             &
+                             nxl+1, nys+1, nest_offl%tind+1,                   &
+                             nxr-nxl+1, nyn-nys+1, 2, .TRUE. )
                              
        IF ( .NOT. neutral )  THEN
           CALL get_variable( id_dynamic, 'ls_forcing_top_pt',                  &
-                                force%pt_top(0:1,nys:nyn,nxl:nxr),             &
-                                nxl+1, nys+1, force%tind+1,                    &
-                                nxr-nxl+1, nyn-nys+1, 2, dynamic_3d )
+                                nest_offl%pt_top(0:1,nys:nyn,nxl:nxr),         &
+                                nxl+1, nys+1, nest_offl%tind+1,                &
+                                nxr-nxl+1, nyn-nys+1, 2, .TRUE. )
        ENDIF
        IF ( humidity )  THEN
           CALL get_variable( id_dynamic, 'ls_forcing_top_qv',                  &
-                                force%q_top(0:1,nys:nyn,nxl:nxr),              &
-                                nxl+1, nys+1, force%tind+1,                    &
-                                nxr-nxl+1, nyn-nys+1, 2, dynamic_3d )
+                                nest_offl%q_top(0:1,nys:nyn,nxl:nxr),          &
+                                nxl+1, nys+1, nest_offl%tind+1,                &
+                                nxr-nxl+1, nyn-nys+1, 2, .TRUE. )
        ENDIF
 
@@ -2792,11 +2861,4 @@
        CALL cpu_log( log_point_s(86), 'NetCDF input forcing', 'stop' )
 
-!
-!--    Finally, after data input set control flag indicating that vertical
-!--    inter- and/or extrapolation is required.
-!--    Please note, inter/extrapolation of INIFOR data is only a workaroud,
-!--    as long as INIFOR delivers vertically equidistant data.
-       force%interpolated = .FALSE.
-
     END SUBROUTINE netcdf_data_input_lsf
 
@@ -2810,5 +2872,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  initializing_actions, forcing, message_string
+           ONLY:  initializing_actions, message_string, nesting_offline 
 
        IMPLICIT NONE
@@ -2816,6 +2878,7 @@
 !
 !--    In case of forcing, check whether dynamic input file is present
-       IF ( .NOT. input_pids_dynamic  .AND.  forcing )  THEN
-          message_string = 'forcing = .TRUE. requires dynamic input file ' //  &
+       IF ( .NOT. input_pids_dynamic  .AND.  nesting_offline  )  THEN
+          message_string = 'nesting_offline = .TRUE. requires dynamic '  //    &
+                            'input file ' //                                   &
                             TRIM( input_file_dynamic ) // TRIM( coupling_char )
           CALL message( 'netcdf_data_input_mod', 'NDI009', 1, 2, 0, 6, 0 )
@@ -4514,5 +4577,7 @@
 !------------------------------------------------------------------------------!
     SUBROUTINE get_variable_3d_real_dynamic( id, variable_name, var,           &
-                            i1s, i2s, i3s, count_1, count_2, count_3, dynamic)
+                                             i1s, i2s, i3s,                    &
+                                             count_1, count_2, count_3,        &
+                                             par_access )
                                 
        USE indices
@@ -4523,5 +4588,5 @@
        CHARACTER(LEN=*)              ::  variable_name   !< variable name
 
-       LOGICAL                       ::  dynamic         !< additional flag just used to select correct overloaded routine from interface block 
+       LOGICAL                       ::  par_access      !< additional flag indicating whether parallel read operations should be performed or not 
        
        INTEGER(iwp)                  ::  count_1         !< number of elements to be read along 1st dimension (with respect to file)
@@ -4550,10 +4615,14 @@
 #if defined( __netcdf )
 !
-!--    Inquire variable id
+!--    Inquire variable id.
        nc_stat = NF90_INQ_VARID( id, TRIM( variable_name ), id_var )
 !
 !--    Check for collective read-operation and set respective NetCDF flags if
 !--    required. 
-       IF ( collective_read )  THEN
+!--    Please note, in contrast to the other input routines where each PEs 
+!--    reads its subdomain data, dynamic input data not by all PEs, only
+!--    by those which encompass lateral model boundaries. Hence, collective
+!--    read operations are only enabled for top-boundary data.
+       IF ( collective_read  .AND.  par_access )  THEN
           nc_stat = NF90_VAR_PAR_ACCESS (id, id_var, NF90_COLLECTIVE)
        ENDIF    
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 3178)
+++ palm/trunk/SOURCE/palm.f90	(revision 3182)
@@ -238,9 +238,10 @@
     USE control_parameters,                                                    &
         ONLY:  air_chemistry,                                                  &
-               cloud_physics, constant_diffusion, coupling_char, coupling_mode,&
+               cloud_physics, constant_diffusion, child_domain, coupling_char, &
+               coupling_mode,                                                  &
                do2d_at_begin, do3d_at_begin, humidity, initializing_actions,   &
                io_blocks, io_group, large_scale_forcing,                       &
                message_string, microphysics_morrison, microphysics_seifert,    &
-               nest_domain, neutral, nudging, passive_scalar, runnr,           &
+               neutral, nudging, passive_scalar, runnr,                        &
                simulated_time, simulated_time_chr, spinup,                     &
                time_since_reference_point,                                     &
@@ -428,5 +429,5 @@
 !
 !--    Exchange_horiz is needed after the nest initialization
-          IF ( nest_domain )  THEN
+          IF ( child_domain )  THEN
              CALL exchange_horiz( u, nbgp )
              CALL exchange_horiz( v, nbgp )
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 3178)
+++ palm/trunk/SOURCE/parin.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename variables and boundary conditions in mesoscale-offline nesting mode
 ! 
 ! Former revisions:
@@ -529,5 +529,5 @@
              dz_stretch_factor, dz_stretch_level, dz_stretch_level_start,      &
              dz_stretch_level_end, end_time_1d, ensemble_member_nr, e_init,    &
-             e_min, fft_method, flux_input_mode, flux_output_mode, forcing,    &
+             e_min, fft_method, flux_input_mode, flux_output_mode,             &
              galilei_transformation, humidity,                                 &
              inflow_damping_height, inflow_damping_width,                      &
@@ -538,5 +538,6 @@
              loop_optimization, lsf_exception, masking_method, mg_cycles,      &
              mg_switch_to_pe0_level, mixing_length_1d, momentum_advec,         &
-             most_method, na_init, nc_const, netcdf_precision, neutral, ngsrb, &
+             most_method, na_init, nc_const, nesting_offline,                  &
+             netcdf_precision, neutral, ngsrb,                                 &
              nsor, nsor_ini, nudging, nx, ny, nz, ocean, omega, omega_sor,     &
              outflow_source_plane, passive_scalar,                             &
@@ -601,5 +602,5 @@
              dz_stretch_factor, dz_stretch_level, dz_stretch_level_start,      &
              dz_stretch_level_end, end_time_1d, ensemble_member_nr, e_init,    &
-             e_min, fft_method, flux_input_mode, flux_output_mode, forcing,    &
+             e_min, fft_method, flux_input_mode, flux_output_mode,             &
              galilei_transformation, humidity,                                 &
              inflow_damping_height, inflow_damping_width,                      &
@@ -610,5 +611,6 @@
              loop_optimization, lsf_exception, masking_method, mg_cycles,      &
              mg_switch_to_pe0_level, mixing_length_1d, momentum_advec,         &
-             most_method, na_init, nc_const, netcdf_precision, neutral, ngsrb, &
+             most_method, na_init, nc_const, nesting_offline,                  &
+             netcdf_precision, neutral, ngsrb,                                 &
              nsor, nsor_ini, nudging, nx, ny, nz, ocean, omega, omega_sor,     &
              outflow_source_plane, passive_scalar,                             &
@@ -924,5 +926,5 @@
                    bc_ns   = 'cyclic'
                 ENDIF
-                IF ( nest_domain )  THEN
+                IF ( child_domain )  THEN
                    bc_uv_t  = 'nested'
                    bc_pt_t  = 'nested'
@@ -936,5 +938,5 @@
 !--          nested domains.
              ELSE 
-                IF ( nest_domain )  THEN
+                IF ( child_domain )  THEN
                    bc_lr    = 'nested'
                    bc_ns    = 'nested'
@@ -948,13 +950,15 @@
              ENDIF
           ENDIF
-
-          IF ( forcing )  THEN
-             bc_lr    = 'forcing'
-             bc_ns    = 'forcing'
-             bc_uv_t  = 'forcing'
-             bc_pt_t  = 'forcing'
-             bc_q_t   = 'forcing'
-             bc_s_t   = 'forcing'  ! scalar boundary condition is not clear
-             bc_cs_t  = 'forcing'  ! same for chemical species
+!
+!--       Set boundary conditions also in case the model is offline-nested in
+!--       larger-scale models.
+          IF ( nesting_offline )  THEN
+             bc_lr    = 'nesting_offline'
+             bc_ns    = 'nesting_offline'
+             bc_uv_t  = 'nesting_offline'
+             bc_pt_t  = 'nesting_offline'
+             bc_q_t   = 'nesting_offline'
+             bc_s_t   = 'nesting_offline'  ! scalar boundary condition is not clear
+             bc_cs_t  = 'nesting_offline'  ! same for chemical species
              bc_p_t   = 'neumann'
           ENDIF
@@ -968,5 +972,5 @@
 !--       are set properly. An exception is made in case of restart runs and
 !--       if user decides to do everything by its own.
-          IF ( nest_domain  .AND.  .NOT. (                                     &
+          IF ( child_domain  .AND.  .NOT. (                                    &
                TRIM( initializing_actions ) == 'read_restart_data'      .OR.   &
                TRIM( initializing_actions ) == 'set_constant_profiles'  .OR.   &
@@ -979,6 +983,5 @@
 
              initializing_actions = 'set_constant_profiles'
-          ENDIF
-            
+          ENDIF            
 !
 !--       Check validity of lateral boundary conditions. This has to be done
@@ -987,5 +990,5 @@
           IF ( bc_lr /= 'cyclic'  .AND.  bc_lr /= 'dirichlet/radiation'  .AND. &
                bc_lr /= 'radiation/dirichlet'  .AND.  bc_lr /= 'nested'  .AND. &
-               bc_lr /= 'forcing' )  THEN
+               bc_lr /= 'nesting_offline' )  THEN
              message_string = 'unknown boundary condition: bc_lr = "' // &
                               TRIM( bc_lr ) // '"'
@@ -994,5 +997,5 @@
           IF ( bc_ns /= 'cyclic'  .AND.  bc_ns /= 'dirichlet/radiation'  .AND. &
                bc_ns /= 'radiation/dirichlet'  .AND.  bc_ns /= 'nested'  .AND. &
-               bc_ns /= 'forcing' )  THEN
+               bc_ns /= 'nesting_offline' )  THEN
              message_string = 'unknown boundary condition: bc_ns = "' // &
                               TRIM( bc_ns ) // '"'
